# Record TCefCookieManager

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefCookieManager = record`

## Description

Structure used for managing cookies. The functions of this structure may be called on any thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefCookieManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_cookie_capi.h">CEF source file: /include/capi/cef_cookie_capi.h (cef_cookie_manager_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `visit_all_cookies: function(self: PCefCookieManager; visitor: PCefCookieVisitor): Integer; stdcall;`
| `visit_url_cookies: function(self: PCefCookieManager; const url: PCefString; includeHttpOnly: Integer; visitor: PCefCookieVisitor): Integer; stdcall;`
| `set_cookie: function(self: PCefCookieManager; const url: PCefString; const cookie: PCefCookie; callback: PCefSetCookieCallback): Integer; stdcall;`
| `delete_cookies: function(self: PCefCookieManager; const url, cookie_name: PCefString; callback: PCefDeleteCookiesCallback): Integer; stdcall;`
| `flush_store: function(self: PCefCookieManager; callback: PCefCompletionCallback): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `visit_all_cookies: function(self: PCefCookieManager; visitor: PCefCookieVisitor): Integer; stdcall;`
This item has no description.

| `visit_url_cookies: function(self: PCefCookieManager; const url: PCefString; includeHttpOnly: Integer; visitor: PCefCookieVisitor): Integer; stdcall;`
This item has no description.

| `set_cookie: function(self: PCefCookieManager; const url: PCefString; const cookie: PCefCookie; callback: PCefSetCookieCallback): Integer; stdcall;`
This item has no description.

| `delete_cookies: function(self: PCefCookieManager; const url, cookie_name: PCefString; callback: PCefDeleteCookiesCallback): Integer; stdcall;`
This item has no description.

| `flush_store: function(self: PCefCookieManager; callback: PCefCompletionCallback): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.